Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class Cancel

    java.lang.Object
      org.apache.commons.scxml.model.Action
          org.apache.commons.scxml.model.Cancel

All Implemented Interfaces:
  NamespacePrefixesHolder, Serializable

public class Cancel
extends Action

The class in this SCXML object model that corresponds to the <cancel> SCXML element.

See Also:
  Serialized Form

Constructor Summary
`Cancel()` Constructor.

Method Summary
`void` | `execute(EventDispatcher evtDispatcher, ErrorReporter errRep, SCInstance scInstance, org.apache.commons.logging.Log appLog, Collection derivedEvents)` Execute this action instance.
`String` | `getSendid()` Get the ID of the send message that should be cancelled.
`void` | `setSendid(String sendid)` Set the ID of the send message that should be cancelled.

Methods inherited from class org.apache.commons.scxml.model.Action
`getNamespaces, getNamespacesKey, getParent, getParentState, setNamespaces, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cancel

    public Cancel()

  Constructor.

Method Detail

### getSendid

    public String getSendid()

  Get the ID of the send message that should be cancelled.

  Returns:
    Returns the sendid.

### setSendid

    public void setSendid(String sendid)

  Set the ID of the send message that should be cancelled.

  Parameters:
    `sendid` - The sendid to set.

### execute

    public void execute(EventDispatcher evtDispatcher,
                        ErrorReporter errRep,
                        SCInstance scInstance,
                        org.apache.commons.logging.Log appLog,
                        Collection derivedEvents)
                 throws ModelException,
                        SCXMLExpressionException

  Execute this action instance.

  Specified by:
    `execute` in class `Action`
  Parameters:
    `evtDispatcher` - The EventDispatcher for this execution instance
    `errRep` - The ErrorReporter to broadcast any errors during execution.
    `scInstance` - The state machine execution instance information.
    `appLog` - The application Log.
    `derivedEvents` - The collection to which any internal events arising from the execution of this action must be added.
  Throws:
    `ModelException` - If the execution causes the model to enter a non-deterministic state.
    `SCXMLExpressionException` - If the execution involves trying to evaluate an expression which is malformed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2006 The Apache Software Foundation. All Rights Reserved.